<template>
    <b-form-group
        :description="inputSearchGroupDescription"
    >
        <b-row>
            <b-col sm="6" lg="4">
                <b-form-input ref="searchInput" name="input-search-resutl" type="search" :value="value" @input="updateValue" placeholder="Filter results"></b-form-input>
            </b-col>
        </b-row>
    </b-form-group>
</template>

<script>
import _ from 'lodash';

export default {
    name: "SearchInput",
    props: {
        value: {
            type: String,
            default: ''
        }
    },
    computed: {
        inputSearchGroupDescription() {
            if (this.value) {
                return `Searching result that match with '${this.value}'`;
            }
            return "";
        },
    },
    methods: {
        updateValue: _.debounce(function (val) {
            this.$emit('input', val);
        }, 500)
    },
};
</script>

<style>
</style>